Bug 838862 - add events to application dose not check the domain name in the URL via REST api
add events to application dose not check the domain name in the URL via REST api
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 06:18 EDT by Meng Bo
Modified: 2015-05-14 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-10 06:18:29 EDT
Description of problem:
Using REST api to add events to application, whatever the domain name is, it will add the event successfully.

Version-Release number of selected component (if applicable):
devenv_1882

How reproducible:
always

Steps to Reproduce:
1.create a domain.
# rhc domain create -n bmengdev
2.create an app.
3.add event to this app via rest api where the domain name is non-exist one.
# curl -k -H 'Accept: application/xml' --user bmeng@redhat.com:123123 https://localhost/broker/rest/domains/whateverhere/applications/ruby19/events/ -XPOST -d event=remove-alias -d alias=test.com
  
Actual results:
the event can be added to the app successfully.

Expected results:
it should return error message like, "domain does not exist"

Additional info:
Comment 1 Meng Bo 2012-07-11 02:16:57 EDT
Seems the change does not merge into devenv_1884, will check it in the next build.
Comment 2 Meng Bo 2012-07-12 04:15:25 EDT
Checked on devenv-stage_233, this issue has been fixed.

It returns "Domain not found" for a wrong domain name when adding events to application.

Note You need to log in before you can comment on or make changes to this bug.